std::shared_future< _Res >(3)

NAME
std::shared_future< _Res > - Primary template for shared_future.

SYNOPSIS

  Public Member Functions
shared_future (const shared_future &__sf) noexcept
Copy constructor.
shared_future (future< _Res > &&__uf) noexcept
Construct from a future rvalue.
shared_future (shared_future &&__sf) noexcept
Construct from a shared_future rvalue.
const _Res & get () const
Retrieving the value.
shared_future & operator= (const shared_future &__sf) noexcept
shared_future & operator= (shared_future &&__sf) noexcept

Detailed Description

  template<typename _Res>
class std::shared_future< _Res >" Primary template for shared_future.

Definition at line 128 of file future.

Author

Generated automatically by Doxygen for libstdc++ from the source code.